﻿body {
    xxpadding-top: 50px;
    xxpadding-bottom: 20px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
    padding-top:50px; 
    padding-bottom:60px ;
    height:100%; 
    min-height:100%;   
    overflow:auto;  
    /*border : 1px solid green; */
    margin:0 0 0 0; 
    width:100%;   
    box-sizing: border-box;
    -moz-box-sizing: border-box; 
    -webkit-box-sizing:  border-box; 
    z-index:1;
    
}
#MainContainer{

    height:100%; min-height:100%; margin:0 0 0 0; overflow:auto; padding:0 0 0 0;
}

footer{
    position:fixed; 
    bottom:0px; 
    width:100%; 
    background-color:white; 
    padding:0px 10px 10px 10px; 
    /*border: 1px solid black*/
}
footer hr{
    margin:0 0 10px 0;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}


.highlighttext
{
    background-color: yellow;
    font-weight : bold;

}

/* tree overloads*/



.angular-ui-tree-handle {
    color: black;
   font-weight:normal;
    cursor:pointer;
}

.angular-ui-tree-nodes .angular-ui-tree-nodes {  }
.angular-ui-tree-nodes .angular-ui-tree-nodes .node-embed {
    padding-left:10px;
}
.angular-ui-tree-nodes .angular-ui-tree-nodes .angular-ui-tree-nodes .node-embed {
    padding-left:20px;
}

.angular-ui-tree-nodes .angular-ui-tree-nodes .angular-ui-tree-nodes .angular-ui-tree-nodes .node-embed {
    padding-left:30px;
}


.angular-ui-tree-handle:hover {
    color: black;
    background: #f5f5f5;
}

.node-header {
    padding-right:5px;
}

.nodeActive {
    background:#deeaf9;
}

.nodeActive:hover {
    background: #428bca;
    color:#FEFEFA;
}

.angular-ui-tree-handle i {
    color:black;
}













/* for angular treee*/


.btn {
    margin-right: 8px;
}

.angular-ui-tree-handle {
    background: #f8faff;
    border: 1px solid #dae2ea;
    color: #7c9eb2;
    padding: 10px 10px;
}

.angular-ui-tree-handle:hover {
    color: #438eb9;
    background: #f4f6f7;
    border-color: #dce2e8;
}

.angular-ui-tree-placeholder {
    background: #f0f9ff;
    border: 2px dashed #bed2db;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

tr.angular-ui-tree-empty {
    height:100px
}

.group-title {
    background-color: #687074 !important;
    color: #FFF !important;
}


/* --- Tree --- */
.tree-node {
    border: 1px solid #dae2ea;
    background: #f8faff;
    color: #7c9eb2;
}

.nodrop {
    background-color: #f2dede;
}

.tree-node-content {
    margin: 10px;
}
.tree-handle {
    padding: 10px;
    background: #428bca;
    color: #FFF;
    margin-right: 10px;
}

.angular-ui-tree-handle:hover {
}

.angular-ui-tree-placeholder {
    background: #f0f9ff;
    border: 2px dashed #bed2db;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

          .panel-heading.collapseable a:after {
    font-family:'Glyphicons Halflings';
    content:"\e114";
    float: right;
    color: grey;
}
.panel-heading a.collapsed:after {
    content:"\e080";
}          

.angucomplete-holder {
    position: relative;
}

.angucomplete-dropdown {
    border-color: #ececec;
    border-width: 1px;
    border-style: solid;
    border-radius: 2px;
    width: 250px;
    padding: 6px;
    cursor: pointer;
    z-index: 9999;
    position: absolute;
    /*top: 32px;
    left: 0px;
    */
    margin-top: -6px;
    background-color: #ffffff;
}

.angucomplete-searching {
    color: #acacac;
    font-size: 14px;
}

.angucomplete-description {
    font-size: 14px;
}

.angucomplete-row {
    padding: 5px;
    color: #000000;
    margin-bottom: 4px;
    clear: both;
}

.angucomplete-selected-row {
    background-color: lightblue;
    color: #ffffff;
}

.angucomplete-image-holder {
    padding-top: 2px;
    float: left;
    margin-right: 10px;
    margin-left: 5px;
}

.angucomplete-image {
    height: 34px;
    width: 34px;
    border-radius: 50%;
    border-color: #ececec;
    border-style: solid;
    border-width: 1px;
}

.angucomplete-image-default {
    /* Add your own default image here
     background-image: url('/assets/default.png');
    */
    background-position: center;
    background-size: contain;
    height: 34px;
    width: 34px;
}


.highlight
{
    color:red;
}
.selected, .selected:hover{
    background-color:#E2EBFF;
}
.editorItem, .editorItem:hover{
    background-color:#efbc92;
}

.keyword-list {
    margin: 0 0 10px 0;
    padding:0 0 0 0;
    opacity:1;
}


    .keyword-list li {
        color: white;
        display: inline-block;
        padding: 5px 5px 5px 5px;
        margin: 0px 5px 10px 0;
        background-image: none;
        border: 1px solid #cccccc;
        border-radius: 4px;
        background-color: #cccccc;
        /*
  background-image: -webkit-linear-gradient(top, #5cb85c 0%, #419641 100%);
  background-image:      -o-linear-gradient(top, #5cb85c 0%, #419641 100%);
  background-image: -webkit-gradient(linear, left top, left bottom, from(#5cb85c), to(#419641));
  background-image:         linear-gradient(to bottom, #5cb85c 0%, #419641 100%);
 */
  -webkit-box-shadow: inset 0 1px 0 rgba(255, 255, 255, .15), 0 1px 1px rgba(0, 0, 0, .075);
          box-shadow: inset 0px 1px 0px rgba(255,255,255,0.15), 0px 1px 1px rgba(0,0,0,0.075);
            
  -webkit-transition: border-color ease-in-out .15s, -webkit-box-shadow ease-in-out .15s;
       -o-transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
          transition: border-color ease-in-out .15s, box-shadow ease-in-out .15s;
     
    }

    .keyword-list li a, .keyword-list li a:hover, .keyword-list li a:focus{
        color:white;
    }

    #tree-root{
        height:500px; 
        overflow:auto; 
        border: 1px solid #ddd;
        border-radius: 4px; 
        margin-bottom :10px;
        margin-top: 10px;

    }












    
    .ListDocumentSection {
        cursor:pointer;
        position:relative;
        border : 1px solid white;
        outline: 0;
        -webkit-box-shadow: inset 0 1px 1px rgba(255,255,255,.075), 0 0 8px rgba(255, 255, 255, .6);
          box-shadow: inset 0 1px 1px rgba(255,255,255,.075), 0 0 8px rgba(255, 255, 255, .6);
    }

    .sectionContainer > .ListDocumentSection.ReadOnly  {
        cursor:pointer;
        background-color:rgb(252, 250, 231) ;
    }



.sectionContainer > .ListDocumentSection.ReadOnly .ListDocumentSection.Editable  {
    cursor: pointer;
    background-color: rgba(255,255,255,1)
}

    .ListDocumentSectionhover{
        border : 1px solid #66afe9;
  outline: 0;
  -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
          box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
    }

.shaded .ListDocumentSection {
    border: 1px solid #ebe9e9;
    outline: 1;
   
}
.shadedblue .ListDocumentSection {
    border: 1px solid #c1e4e6;
    outline: 1;
}
.threeColumner .colHeadingContainer {
    padding-left: 1px;
    padding-right: 1px;
}

        .ListDocumentSectionhover > * > .childControls, .ListDocumentSectionhover > td.tablebuttoncell > * > .childControls {
            display: inline;
        }

    

    .ListDocumentSectionhover   h1.SectionName
    {
       border: 1px dashed black;
       background-color: lemonchiffon;
    }
    .ListDocumentSectionhover .ListDocumentSection  h1.SectionName
    {
       border: inherit;
       background-color: inherit;
    }


    .nonRolloverChildControls 
    {
        position:absolute; right:0; z-index:0;
        display:inline;
    }
    .ListDocumentSectionhover > .nonRolloverChildControls
    {
       display: none;
    }


    
    .childControls 
    {

        position: absolute;
        right:0px;
        top:0px;
        z-index:11;
        display:none;
    }

    .childControls.left 
    {
        left: 0px;
        right:inherit;       
        top:-40px;
    }

.ListDocumentSection > td.tablebuttoncell > * > .childControls {
    top: inherit;
    right:inherit;
    left:0px;
}
    
.tabletemplate{
    border-collapse:collapse;
    empty-cells:show;
    border-spacing:0px;

}
    .tabletemplate tr td, .tabletemplate tr th {
        padding: 0px !important;
    }

       
        .tabletemplate tr td > * > div, .tabletemplate tr th > * > div {
            padding: 8px !important;
        }


    .sectionControlButton
    {
         
    }
.ListDocumentSectionhover > * > .identicalSectionNotification, .ListDocumentSectionhover > td.tablebuttoncell > * > .identicalSectionNotification,
.ListDocumentSectionhover > * > .relatedSectionNotification, .ListDocumentSectionhover > td.tablebuttoncell > * > .relatedSectionNotification,
.ListDocumentSectionhover > * > .stdcSectionNotification, .ListDocumentSectionhover > td.tablebuttoncell > * > .stdcSectionNotification {
    display: inline;
}


    .identicalSectionNotification
{
         padding: 15px;
  margin-bottom: 20px;
  border: 1px solid transparent;
  
  border-radius: 4px;
        color: #31708f;
  background-color: #d9edf7;
  border-color: #bce8f1;
        position: absolute;
        left:0px;
        top:0px;
        z-index:10;
        display:none;
   
        }

.relatedSectionNotification {
    padding: 15px;
    margin-bottom: 20px;
    border: 1px solid transparent;
    border-radius: 4px;
    color: #31708f;
    background-color: #edd9f7;
    border-color: #e8bcf1;
    position: absolute;
    left: 0px;
    top: 0px;
    z-index: 10;
    display: none;
}

.stdcSectionNotification {
    padding: 15px;
    margin-bottom: 20px;
    border: 1px solid transparent;
    border-radius: 4px;
    color: #31708f;
    background-color: #f7d9ed;
    border-color: #f1bce8;
    position: absolute;
    left: 0px;
    top: 0px;
    z-index: 10;
    display: none;
}
    #MainEditor{
        border:1px solid black;
        margin:0 0 0 0;

    }
    #MainEditor .row{
        margin:0 0 0 0;
    }
    #MainEditor  .panel-heading a
{
        
    }

    #leftPanel{
        height:100%; border-right:2px groove black; position:fixed; float:left; padding-bottom:100px; width:380px;
         
    }

    #leftPanel .ng-isolate-scope
    {
        height:100%;
    }
        #tree-root{
            background-color: white;
            border-color : #bbb;
        }

#leftPanel .nav-tabs > li.active > a, .nav-tabs > li.active > a:hover, #leftPanel .nav-tabs > li.active > a:focus {
    background-color:#ddd;
    border-color:#bbb;
    border-bottom-color: transparent;
}

    #leftPanel .tab-content{
        display:inline-block;
        width:100%;
        height:100%;
        padding:5px;
        background-color: #ddd;
        border-left :1px solid #bbb;
        border-right :1px solid #bbb;
        
    }

    #rightPanel{
        float:left; width:500px
    }

    h1 .form-control{
        font-family: inherit;
  font-weight: 500;
  line-height: 1.1;
  color: inherit;
  font-size:36px;
  height:auto;
  min-width : 100%;

    }

    .badgeWarning, .btn-primary .badgeWarning{
        background-color:#f89406 !important;
        color:white !important;
    }

    ins {
    background-color: #cfc !important;
    text-decoration: none;
}

 

del {
    color: #999 !important;
    background-color:#FEC8C8 !important;
}

#splash,#render,#server{
    position:absolute; top:50px;left:0; right:0; bottom:0; z-index:10000; background-color:white;
}
#splash_wrapper, #render_wrapper, #server_wrapper {
    width: 120px;
    margin: 0 auto;
    text-align: center;
    padding-top: 50px;
}

.loader {
    border: 16px solid #f3f3f3; /* Light grey */
    border-top: 16px solid #3498db; /* Blue */
    border-radius: 50%;
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.ListDocumentSection{
    min-height:20px;
}

.highlightBox{
    border:0px;
}
    .highlightBox:hover {
        border: 1px solid #3498db;
        
        cursor: text;
    }